cwlVersion: v1.0
class: CommandLineTool

requirements:
- class: InlineJavascriptRequirement
  expressionLib:
  - var get_target_name = function() {
        return inputs.target_filename.split('/').slice(-1)[0];
    }

hints:
- class: DockerRequirement
  dockerPull: biowardrobe2/scidap:v0.0.2

inputs:

  script:
    type: string?
    default: |
      #!/bin/bash
      cp $0 $1
      if [ -f $0.bai ]; then
        cp $0.bai $1.bai
      fi
    inputBinding:
      position: 1

  source_file:
    type:
      - File
    inputBinding:
      position: 5

  target_filename:
    type: string
    inputBinding:
      position: 6
      valueFrom: $(get_target_name())

outputs:
  target_file:
    type: File
    outputBinding:
      glob: $(get_target_name())
    secondaryFiles: |
      ${
          if (inputs.source_file.secondaryFiles && inputs.source_file.secondaryFiles.length > 0){
            return inputs.target_filename+".bai";
          } else {
            return "null";
          }
        }


baseCommand: [bash, '-c']
